/**
* @Author Sean
* @Date 2019/4/23
*/
<template>
  <h-view class="public-style" style="height: 100%" title="驾驶证识别">
    <h-content>
      <list-item>
        <item>
          <div slot="name">姓名</div>
          <div slot="content">{{ licenseList.name }}</div>
        </item>
      </list-item>
      <list-item>
        <item>
          <div slot="name">性别</div>
          <div slot="content">{{ licenseList.gender }}</div>
        </item>
        <item>
          <div slot="name">国籍</div>
          <div slot="content">{{ licenseList.nation }}</div>
        </item>
        <item>
          <div slot="name">证号</div>
          <div slot="content">{{ licenseList.cardno }}</div>
        </item>
        <item>
          <div slot="name">住址</div>
          <div slot="content">{{ licenseList.address }}</div>
        </item>
        <item>
          <div slot="name">出生日期</div>
          <div slot="content">{{ licenseList.birthdate }}</div>
        </item>
        <item>
          <div slot="name">初次领证日期</div>
          <div slot="content">{{ licenseList.issuedate }}</div>
        </item>
        <item>
          <div slot="name">准驾车型</div>
          <div slot="content">{{ licenseList.driverclass }}</div>
        </item>
        <item>
          <div slot="name">有效期限</div>
          <div slot="content">{{ licenseList.validdate }}</div>
        </item>
      </list-item>
    </h-content>
    <bottom-tab>
      <tab-button @click.native="openShow" >
        识别
      </tab-button>
    </bottom-tab>
  </h-view>
</template>

<script>
  export default {
    data() {
      return {
        licenseList : {
          name: "",
          gender: "",
          nation: "",
          cardno: "",
          address: "",
          birthdate: "",
          issuedate: "",
          driverclass: "",
          validdate :"",
          cropped_image : "",
          created_by : "",
          last_updated_by : ""
        }
      }
    },
    created: function () {
    },
    mounted: function () {
    },
    updated: function () {
    },
    destroyed: function () {
    },
    methods: {
      // 打开sheet操作
      openShow (checkId) {
        let vm = this
        wx.chooseImage({
          count: 1, // 微信最多能选择9张图片
          sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
          sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
          success: function (data) {
            hlsPopup.showLoading('请稍候')
            vm.localIds = data.localIds // 返回选定照片的本地ID列表，localId可以作为img标签的src属性显示图片
            /*   data.localIds.forEach((localId, index) => {
                 wx.getLocalImgData({
                   localId: localId, // 图片的localID
                   alert('localId '+ localId)
                   success: function (res) {
                     vm.getHanwanyun(res.localData);
                     alert('路径 '+res.localData)
                   },
                 })
               })*/
            vm.wxImageUpload()
          },
        })
      },
      // 图片上传到微信服务器
      wxImageUpload () {
        let vm = this
        let localId = vm.localIds.pop()
        wx.uploadImage({
          localId: localId, // 需要上传的图片的本地ID，由chooseImage接口获得
          isShowProgressTips: 0, // 默认为1，显示进度提示
          success: function (res) {

            /* else {
               hlsPopup.hideLoading()
               hlsPopup.showLongCenter('图片上传成功')
             }*/
            vm.getHanwanyun(res.serverId)

          },
        })
      },
      //识别
      getHanwanyun(serverId) {
        let vm = this
        let url = process.env.rootPath + '/havon/media' + '?index=' + serverId
        let param = {
          'wechatCode': process.env.wxCode,
          'mediaId': serverId,
          'sysName': 'HLS_HANVON',
          'apiName': 'hanvon_drivercard',
        }
        hlsHttp.post(url, param).then(function (res) {
          hlsPopup.hideLoading();
          if (res.driverCard.name) {
            vm.licenseList.name = res.driverCard.name;
          }if (res.driverCard.gender) {
            vm.licenseList.gender = res.driverCard.gender;
          }if (res.driverCard.nation) {
            vm.licenseList.nation = res.driverCard.nation;
          }if (res.driverCard.cardno) {
            vm.licenseList.cardno = res.driverCard.cardno;
          }if (res.driverCard.address) {
            vm.licenseList.address = res.driverCard.address;
          }if (res.driverCard.birthdate) {
            vm.licenseList.birthdate = res.driverCard.birthdate;
          }if (res.driverCard.issuedate) {
            vm.licenseList.issuedate = res.driverCard.issuedate;
          }if (res.driverCard.driverclass) {
            vm.licenseList.driverclass = res.driverCard.driverclass;
          }if (res.driverCard.validdate) {
            vm.licenseList.validdate = res.driverCard.validdate;
          }if (res.driverCard.cropped_image) {
            vm.licenseList.cropped_image = res.driverCard.cropped_image;
          }
        });
      },
    }
  }
</script>

<style scoped lang="less" rel="stylesheet">
  .public-style {
    .content {

    }
  }
</style>
